<?php

declare(strict_types=1);

namespace app\common\library\token;

use Exception;

/**
 * Token 过期异常
 */
class TokenExpirationException extends Exception
{
    public function __construct(
        protected string $message = '',
        protected int $code = 409,
        protected array $data = [],
        ?\Throwable $previous = null
    ) {
        parent::__construct($message, $code, $previous);
    }

    public function getData(): array
    {
        return $this->data;
    }
}
